Bug 1293909 - Review Request: python-simplepath - A python library for data-structure lookups.
Review Request: python-simplepath - A python library for data-structure lookups.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 1297413
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 08:30 EST by Sundeep Anand
Modified: 2016-02-09 15:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 15:53:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sundeep Anand 2015-12-23 08:30:16 EST
Spec URL: https://bitbucket.org/sundeep_co_in/simplepath/downloads/simplepath.spec

SRPM URL: https://bitbucket.org/sundeep_co_in/simplepath/downloads/python-simplepath-0.3.2-1.fc23.src.rpm

Description: Simplepath is a python library for data-structure lookups using super simple expressions with performance in mind. "simplepath" is a word play on some other *path technologies such as xpath, jsonpath, jpath, etc.

Fedora Account System Username: suanand

Koji Build URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=12294183

Upstream co-maintainer: zanata-python-client

This is my first package and I need a sponsor.
Comment 1 Upstream Release Monitoring 2015-12-23 08:59:28 EST
suanand's scratch build of python-simplepath-0.3.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12294392
Comment 2 Sundeep Anand 2015-12-23 09:21:25 EST
Updating Submission
===================

Spec URL: https://bitbucket.org/sundeep_co_in/simplepath/downloads/python-simplepath.spec

SRPM URL: https://bitbucket.org/sundeep_co_in/simplepath/downloads/python-simplepath-0.3.2-1.fc23.src.rpm

Description: Simplepath is a python library for data-structure lookups using super simple expressions with performance in mind. "simplepath" is a word play on some other *path technologies such as xpath, jsonpath, jpath, etc.

Fedora Account System Username: suanand

Koji Build URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=12294392

Upstream co-maintainer: zanata-python-client

This is my first package and I need a sponsor.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 40 files have
     unknown license. Detailed output of licensecheck in
     /home/suanand/rpmbuild/review-python-simplepath/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/simplepath,
     /usr/lib/python3.4/site-packages/simplepath
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/simplepath, /usr/lib/python2.7/site-packages/tests,
     /usr/lib/python3.4/site-packages/simplepath, /usr/lib/python3.4/site-
     packages/tests
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/tests/__pycache__(python3-custodia, python3-django-federated-
     login)
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 8 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-simplepath , python3-simplepath
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-simplepath-0.3.2-1.fc22.noarch.rpm
          python3-simplepath-0.3.2-1.fc22.noarch.rpm
          python-simplepath-0.3.2-1.fc22.src.rpm
python2-simplepath.noarch: W: spelling-error Summary(en_US) lookups -> lookup, lockups, hookups
python2-simplepath.noarch: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
python2-simplepath.noarch: W: unexpanded-macro Obsoletes python-%{srcname} < 0.3.2-1.fc22 %{srcname}
python2-simplepath.noarch: W: unexpanded-macro Provides python-%{srcname} = 0.3.2-1.fc22 %{srcname}
python3-simplepath.noarch: W: spelling-error Summary(en_US) lookups -> lookup, lockups, hookups
python3-simplepath.noarch: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
python-simplepath.src: W: spelling-error Summary(en_US) lookups -> lookup, lockups, hookups
python-simplepath.src: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python2-simplepath.noarch: W: spelling-error Summary(en_US) lookups -> lookup, lockups, hookups
python2-simplepath.noarch: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
python2-simplepath.noarch: W: unexpanded-macro Obsoletes python-%{srcname} < 0.3.2-1.fc22 %{srcname}
python2-simplepath.noarch: W: unexpanded-macro Provides python-%{srcname} = 0.3.2-1.fc22 %{srcname}
python3-simplepath.noarch: W: spelling-error Summary(en_US) lookups -> lookup, lockups, hookups
python3-simplepath.noarch: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python2-simplepath (rpmlib, GLIBC filtered):
    python(abi)

python3-simplepath (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-simplepath:
    python-%{srcname}
    python2-simplepath

python3-simplepath:
    python3-simplepath



Source checksums
----------------
https://github.com/dealertrack/simplepath/archive/0.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 34c391dd1ed34dc79a5a17836e21ea1fac1f3503b36086ab6dea181eda806ec0
  CHECKSUM(SHA256) upstream package : 34c391dd1ed34dc79a5a17836e21ea1fac1f3503b36086ab6dea181eda806ec0



RPM LINT
========

[suanand@dhcp201-105 SPECS]$ rpmlint python-simplepath.spec ../SRPMS/python-simplepath-0.3.2-1.fc23.src.rpm ../RPMS/noarch/python2-simplepath-0.3.2-1.fc23.noarch.rpm ../RPMS/noarch/python3-simplepath-0.3.2-1.fc23.noarch.rpm 
python-simplepath.src: W: spelling-error Summary(en_US) lookups -> lookup, lockups, hookups
python-simplepath.src: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
python2-simplepath.noarch: W: spelling-error Summary(en_US) lookups -> lookup, lockups, hookups
python2-simplepath.noarch: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
python2-simplepath.noarch: W: unexpanded-macro Obsoletes python-%{srcname} < 0.3.2-1.fc23 %{srcname}
python2-simplepath.noarch: W: unexpanded-macro Provides python-%{srcname} = 0.3.2-1.fc23 %{srcname}
python3-simplepath.noarch: W: spelling-error Summary(en_US) lookups -> lookup, lockups, hookups
python3-simplepath.noarch: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
3 packages and 1 specfiles checked; 0 errors, 8 warnings.
Comment 4 Upstream Release Monitoring 2015-12-31 07:51:34 EST
suanand's scratch build of python-simplepath-0.3.2-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12356300
Comment 5 Upstream Release Monitoring 2015-12-31 07:56:52 EST
suanand's scratch build of python-simplepath-0.3.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12356311
Comment 6 Sundeep Anand 2015-12-31 08:01:14 EST
SPEC file Updated:

Spec URL: https://bitbucket.org/sundeep_co_in/simplepath/downloads/python-simplepath.spec

SRPM URL: https://bitbucket.org/sundeep_co_in/simplepath/downloads/python-simplepath-0.3.2-1.fc23.src.rpm

[suanand@dhcp201-105 SPECS]$ rpmlint python-simplepath.spec ../SRPMS/python-simplepath-0.3.2-1.fc23.src.rpm ../RPMS/noarch/python2-simplepath-0.3.2-1.fc23.noarch.rpm ../RPMS/noarch/python3-simplepath-0.3.2-1.fc23.noarch.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 7 Upstream Release Monitoring 2016-01-11 06:03:21 EST
suanand's scratch build of python-simplepath-0.3.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12496777
Comment 9 Upstream Release Monitoring 2016-01-11 09:01:24 EST
suanand's scratch build of python-simplepath-0.3.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12498106
Comment 10 Parag AN(पराग) 2016-01-16 01:28:21 EST
You may want to use almost similar example spec file given here https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 12 Upstream Release Monitoring 2016-01-18 05:57:35 EST
suanand's scratch build of python-simplepath-0.3.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12591612
Comment 13 Parag AN(पराग) 2016-01-21 11:07:46 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
1) directory ownership is missing therefore change
%{python2_sitelib}/%{pypi_name}/*
to
%{python2_sitelib}/%{pypi_name}

do same for python3 subpackage in %files

2) Add to following to the end of %install section
# Delete tests
rm -fr %{buildroot}%{python2_sitelib}/tests

we don't want to install test files. Also they can conflict with other packages as other packages test files may have same file names.

3) with above change also remove following from respective %files section
%{python2_sitelib}/tests/*


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 21 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1293909-python-simplepath/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages/tests,
     /usr/lib/python3.5/site-packages, /usr/lib/python2.7/site-
     packages/simplepath, /usr/lib/python3.5/site-packages/simplepath,
     /usr/lib/python3.5
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages/tests, /usr/lib/python2.7/site-packages/tests,
     /usr/lib/python3.5/site-packages, /usr/lib/python2.7/site-
     packages/simplepath, /usr/lib/python3.5/site-packages/simplepath,
     /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-simplepath
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-simplepath-0.3.2-1.fc24.noarch.rpm
          python3-simplepath-0.3.2-1.fc24.noarch.rpm
          python-simplepath-0.3.2-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-simplepath (rpmlib, GLIBC filtered):
    python(abi)

python3-simplepath (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-simplepath:
    python-simplepath

python3-simplepath:
    python3-simplepath



Source checksums
----------------
https://pypi.python.org/packages/source/s/simplepath/simplepath-0.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 07b37c51435c256f4d12930455c967b4ebad3f1d1df67c8bcdcf614958fcd0ba
  CHECKSUM(SHA256) upstream package : 07b37c51435c256f4d12930455c967b4ebad3f1d1df67c8bcdcf614958fcd0ba


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20

Provide updated package.
Comment 15 Upstream Release Monitoring 2016-01-22 06:22:03 EST
suanand's scratch build of python-simplepath-0.3.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12646403
Comment 16 Parag AN(पराग) 2016-01-22 07:04:43 EST
Thanks. APPROVED.
Comment 18 Gwyn Ciesla 2016-01-22 07:36:48 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-simplepath
Comment 19 Fedora Update System 2016-02-01 01:40:32 EST
python-simplepath-0.3.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8f623e1bb
Comment 20 Fedora Update System 2016-02-01 21:27:30 EST
python-simplepath-0.3.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8f623e1bb
Comment 21 Fedora Update System 2016-02-09 15:53:48 EST
python-simplepath-0.3.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.